/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN - Modulo PLANIMETRIA                                  //
//                                                                                //
//  FILE: POLICFS.DCL  File contenenti le dialog per il comando POLICFS           //
//                                                                                //
//  Scritto da:  Stefania Martinelli                                              //
//                                                                                //
//  RELEASE: 7     DATA: ottobre 2007                                              //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1998                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* ------------------------- Porzione Verifiche -----------------------------------*/
verifichepolicentrica_8 : boxed_column
{
	label = "Standard Verifications";
	
	: row
	{
		fixed_width = true;
		: image_button
		{
			aspect_ratio = 1.0;
			fixed_height = true;
			fixed_width = true; height = 1; width = 4;
			key = "i_vercomp";
		} /*image_button*/
		: text
		{
			key = "vercomp"; width = 25;
		}		
		: image_button
		{
			aspect_ratio = 1.0;
			fixed_height = true;
			fixed_width = true; height = 1; width = 4;
			key = "i_verelem";
		} /*image_button*/
		: text
		{
			key = "verelem"; width = 25;		
		}
	}
	: row
	{
		fixed_width = true;
	    : list_box
	    {
	      key = "lista_verifiche"; height = 9; width = 72; tabs = "15 50 65";
	    }
	} /* row */
}	

/* ------------------------- PolicFsDlg -----------------------------------*/
PolicFsDlg : dialog
             {
              label = "Rail Polycentric";
              : row
              {
                 : column
                 {
                    : row
                    {
                       : text
                       {
                          label = "Deviation angle [c.u.]";
                       }
                       : text
                       {
                          key = "av"; width = 10;
                       }
                     } /* row */

		    		: row
		     		{
						: text
						{
							label = "Vertex Name";
						} 
						: edit_box
						{
							key = "nomev"; edit_width = 12;
						}
		     		}
                    : boxed_radio_row
                    {
                       label = "Transitions";
                       key = "tipo_raccordo";
                       : radio_button
                       {
                          label = "Clothoids"; key = "clotoide";
                       }
                       : radio_button
                       {
                          label = "Parabolas"; key = "parabola";
                       }
                       : radio_button
                       {
                          label = "Mixed H.S."; key = "misto";
                       }
                     } /* boxed_radio_row */
	          	} /* column */
                : boxed_column
                {
                    label = "Curve Calculation";
					: popup_list
           			{
           				key = "lista_norme"; width = 22;
					}
                    //: radio_column
                    //  {
                    //   key = "tipo_calcolo"; fixed_height = true;
                    //   : radio_button
                    //     {
                    //      label = "It. Railways"; key = "fs";
                    //     }
                    //   : radio_button
                    //     {
                    //      label = "H.S. It. Railways"; key = "fsav";
                    //     }
                   //   } /* radio_column */
                    //: spacer {width = 2;}
					: row
                    {
						: column
                      	{
                       		: row
                         	{
                          		: text
	                            {
	                             label = "MaxSpeed"; width = 6;
	                            }
	                            : edit_box
	                            {
	                             key = "vmax"; edit_width = 8;
	                            }
                         	} /* row */
                       		: row
                         	{
                          		: text
	                            {
	                             label = "MinSpeed"; width = 6; key = "t_vmin";
	                            }
                          		: edit_box
	                            {
	                             key = "vmin"; edit_width = 8;
	                            }
                         	} /* row */
                      	} /* column */
                    : column
                      {
                       : row
                         {
                          : text
                            {
                             label = "A Sp."; width = 6;key = "t_vfa";
                            }
                          : edit_box
                            {
                             key = "vfa"; edit_width = 8;
                            }
                         } /* row */
                       : row
                         {
                          : text
                            {
                             label = "B Sp."; width = 6; key = "t_vfb";
                            }
                          : edit_box
                            {
                             key = "vfb"; edit_width = 8;
                            }
                         } /* row */
                       : row
                        {
							: text
							{
                             label = "C Sp."; width = 6; key = "t_vfc";
                            }
                          : edit_box
                            {
                             key = "vfc"; edit_width = 8;
                            }
                        } /* row */

                    } /* column */
				}

                   } /* boxed_row */
                } /* row */
            : row
              {
               : text
                 {
                  label = "N."; width = 6;
                 }
               : text
                 {
                  label = "Angle"; width = 15;
                 }
               : text
                 {
                  label = "Length prop."; width = 15;
                 }
               : text
                 {
                  label = "Radius"; width = 15;
                 }
               : text
                 {
                  label = "Length"; width = 15;
                 }
               : text
                 {
                  label = "Superelevation";
                 }
              } /* row */
            : list_box
              {
               key = "lista"; width = 75; tabs = "5 20 35 50 65";
               multiple_select = true;
              }
            : row
              {
               fixed_width = true;
               : row
                 {
                  fixed_width = true; fixed_height = true;
                  : column
                    {
                     : text
                       {
                        label = " Length prop."; key = "t_prop";
                       }
                     : edit_box
                       {
                        key = "prop_svi"; edit_width = 10; 
                       }
                    } /* column */
                  : column
                    {
                     : text
                       {
                        label = " Radius     "; key = "t_r";
                       }
                     : edit_box
                       {
                        key = "raggio"; edit_width = 10;
                       }
                    } /* column */
                  : column
                    {
                     : text
                       {
                        label = "Superelev."; key = "t_h";
                       }
                     : edit_box
                       {
                        key = "h"; edit_width = 10;
                       }
                    } /* column */

                  : column
                    {
                     : text
                       {
                        label = " "; width = 2;
                       }
                    } /* column */
                 } /* row */
                : column
                  {
                   fixed_width = true;
                   : button
                     {
                      label = "Insert"; key = "inser";
                     }
                   : button
                     {
                      label = "Modify"; key = "modi";
                     }
                   : button
                     {
                      label = "Delete"; key = "canc";
                     }
                  } /* column */
               } /* row */
              errtile;
              : row
                {
                 fixed_width = true; alignment = centered;
                 : button
                   {
                    label = "Insert transitions";
                    is_default = true; key = "accept";
                   }
                 : spacer {width = 2;}
                 : button
                   {
                    label = "Cancel"; key = "cancel";
                   }
                 : spacer {width = 2;}
                 : button
                   {
                    label = "?"; key = "help"; width = 10;
                   }
                } /* row */
             } /* end dialog */
/* ------------------------- PolicSDlg -----------------------------------*/
PolicSDlg : dialog
{
	label = "Road Polycentric";
      : row
      {
            	: row
                  {
                       : text
                         {
                          label = "Deviation angle [c.u.]";
                         }
                       : text
                         {
                          key = "av"; width = 10;
                         }
                  } /* row */
			: row
		     	{
				: text
				{
					label = "Vertex Name";
				} 
				: edit_box
				{
					key = "nomev"; edit_width = 12;		
				}
		     }
	} /* row */
     


	: boxed_row
    {
	    fixed_height = true;
		label = "Standards settings";
        : column
		{
			: row
			{
				: popup_list
				{
					key = "lista_norme"; width = 16; 
				}
				: text
				{
					fixed_width = true;
					key = "standard";width = 2;
				}	
				
			}
			: row
			{
				: popup_list
				{
						key = "personalizzata"; width = 16;
				}
				: text
				{
					fixed_width = true;
					label = " ";width = 2;
				}
			}
			: row
			{
				fixed_width = true;
				: text
                {
					label = "Standard road ";
                }
				: popup_list
				{
					key = "lista_tipi"; edit_width = 10;
					fixed_width = true;
				}
				: text
				{
					key = "bi";width = 25;
				}
 			} /* row */
			: text
			{
				key = "desc"; width = 50;fixed_width = true;
			}
		}
        : boxed_row
		{
			label = "Design speed"; fixed_width = true;
			: column
			{
				: text
				{
					label = "MinSpeed"; 
				}
				: text
				{
					label = "MaxSpeed"; 
				}			
			}
			: column
			{
     				: edit_box
                 		{
                 			key = "vmin"; edit_width = 3; fixed_width = true;
                       			edit_limit = 3;
     				}
				: edit_box
                 		{
                 			key = "vmax"; edit_width = 3; fixed_width = true;
                        			edit_limit = 3;
				}
			}
			: column
			{
				: text
                 		{
                 			label = "Km/h";
                 		}
                 		: text
                 		{
            				label = "Km/h";
           	     		}
			}
		} /* boxed_row */
	} /* column */
            : row
              {
               : text
                 {
                  label = "N."; width = 6;
                 }
               : text
                 {
                  label = "Angle"; width = 15;
                 }
               : text
                 {
                  label = "Length prop."; width = 15;
                 }
               : text
                 {
                  label = "Radius"; width = 15;
                 }
               : text
                 {
                  label = "Length"; width = 15;
                 }
              } /* row */
            : list_box
              {
               key = "lista"; width = 75; tabs = "5 20 35 50 65";
               multiple_select = true;
              }
            : row
              {
               fixed_width = true;
               : row
                 {
                  fixed_width = true; fixed_height = true;
                  : column
                    {
                     : text
                       {
                        label = " Length prop."; key = "t_prop";
                       }
                     : edit_box
                       {
                        key = "prop_svi"; edit_width = 10; 
                       }
                    } /* column */
                  : column
                    {
                     : text
                       {
                        label = " Radius     "; key = "t_r";
                       }
                     : edit_box
                       {
                        key = "raggio"; edit_width = 10;
                       }
                    } /* column */

                  : column
                    {
                     : text
                       {
                        label = " "; width = 2;
                       }
                    } /* column */
                 } /* row */
                : column
                  {
                   fixed_width = true;
                   : button
                     {
                      label = "Insert"; key = "inser";
                     }
                   : button
                     {
                      label = "Modify"; key = "modi";
                     }
                   : button
                     {
                      label = "Delete"; key = "canc";
                     }
                  } /* column */
               } /* row */
              errtile;
              : row
                {
                 fixed_width = true; alignment = centered;
                 : button
                   {
                    label = "Insert transitions";
                    is_default = true; key = "accept";
                   }
                 : spacer {width = 2;}
                 : button
                   {
                    label = "Cancel"; key = "cancel";
                   }
                 : spacer {width = 2;}
                 : button
                   {
                    label = "?"; key = "help"; width = 10;
                   }
                } /* row */
             } /* end dialog */

/* ----------------- ErroriDlg -------------------------------------------*/
ErroriDlg : dialog
            {
             label = "Polycentric";
             : list_box
               {
                key = "lista"; width = 70;
               }
             ok_only;
            } /* end dialog */

/* --------------------- Dati generali policentrica ------------------------------------*/
DatigeneraliPolicentrica_V8 : boxed_column
{
	label = "General Data";
	: row
	{
		fixed_width = true;
		: column
		{
			: text
			{
				label = "Total Length ";
			}
			: text
			{
				label = "Primitive Tangent in entrance ";
			}
			: text
			{
				label = "Primitive Tangent in exit  ";
			}
			: text
			{ 
				label = "Final Tangent in entrance    ";
			}
			: text
			{
				label = "Final Tangent in exit      ";
			}
		}
		: column
		{
			: text
			{
				key = "ltot"; width = 15;
			}
			: text
			{
				key = "t_ini_prim"; width = 15;
			}  

			: text
			{
				key = "t_fin_prim"; width = 15;
			}
			: text
			{
				key = "t_ini"; width = 15;
			}
			: text
			{
				key = "t_fin"; width = 15;
			}
		}
		: boxed_row
		{
			label = "Vertex"; fixed_height = true;
			alignment = top;
			: column
			{
				: text
				{
					label = "x"; width = 4;
				}
				: text
				{
					label = "y"; width = 4;
				}
				: text
				{
					label = "Name"; width = 4;
				}

			} /* column */
			: column
			{
				: text
				{
					key = "x"; width = 15;
				}
				: text
				{
					key = "y"; width = 15;
				}
				: edit_box
				{
					key = "nomev"; edit_width = 12;		
				}

			} /* column */

		} /* boxed_column */				
		
	}  /* row */
	verifichepolicentrica_8;
} /* boxed_column */

/* --------------------- Elementi Base Ferrovia ------------------------------------*/

  ElementiBaseFerrovia_V8 : column
{  
	: list_box
   	{
      label = "Base Elements"; key = "ebase"; width = 20;
    }
	: popup_list
	{
		key = "lista_norme"; width = 20;
	}
    : row
    {
		: text
	    {
			width = 6;key = "t_v1";
	    }
		: edit_box
		{
			key = "v1"; edit_width = 6;
		}
    } /* row */
	: row
    {
		: text
        {
			width = 6;key = "t_v2";
        }
		: edit_box
        {
			key = "v2"; edit_width = 6;
        }
    } /* row */
	: row
    {
		: text
        {
			width = 6; key = "t_v3";
        }
		: edit_box
        {
			key = "v3"; edit_width = 6;
        }
    } /* row */
	: row
    {
		: text
        {
			width = 6; key = "t_v4";
        }
		: edit_box
        {
			key = "v4"; edit_width = 6;
        }
    } /* row */
	: row
    {
      : text
        {
         width = 6; key = "t_v5";
        }
      : edit_box
        {
         key = "v5"; edit_width = 6;
        }
    } /* row */
}
	
/* --------------------- Elementi Base Strada ------------------------------------*/

ElementiBaseStrada_V8 : column
{  
	fixed_height = true;
	: list_box
	{
		fixed_width = true;
		label = "Base Elements"; key = "ebase"; width = 25; height = 6;
	}
	: row
	{
		fixed_width = true;
		: popup_list
		{
			fixed_width = true;
			key = "lista_norme"; width = 23;
		}
		: text
		{
			fixed_width = true;
			key = "standard";width = 2;
		}	
	} /* row */
	: row 
	{		
		fixed_width = true;
		: popup_list
		{
			fixed_width = true;
			key = "personalizzata"; width = 14;
		}		
		: popup_list
		{
			key = "lista_tipi"; edit_width = 8;
			fixed_width = true;
		}
	}
	: text
	{
		fixed_width = true;
		key = "bi";width = 18;
	}
	: boxed_row
	{		
		label = "Verification Speed";
		: radio_column
		{
			fixed_height = true;
			key = "vver";
			: radio_button
			{
				label = "Vmin "; 
				key = "vver0";
				value = 0;
			}
			: radio_button
			{
				label = "MaxSpeed"; key = "vver1";
				value = 0;
			}
			: radio_button
			{
				label = "Curve Speed";key = "vver2";
				value = 1;
			}
			: radio_button
			{
				label = "Cust. Speed"; key = "vver3";
				value = 0;
			}
		}
		: column
		{ 
			fixed_height = true;			
			fixed_width = true;
			: edit_box
			{
				key = "vmin"; edit_width = 6;
			}
			: edit_box
			{
				key = "vmax"; edit_width = 6;
			}
			: text
			{
				key = "vel_curva"; width = 6;

			}
			: edit_box
			{
				key = "vel_per"; edit_width = 6;
			}
		} 				
	}/* row */
	: toggle
	{
		fixed_width = true;
		label = "Exact Verification of kick"; key = "tipovercontr";width = 20;
	}
}
	/* --------------------- Dati Elemento Base Ferrovia ------------------------------------*/
DatiElementoBase_V8		: boxed_column
{
	label = "Base Element Data";
	: row
	{
		: column
        {
			:	row
			{
				fixed_width = true;
				: text
				{
					label = "Length"; key = "t_svi";
					width = 18;
				}
				: edit_box
				{
					key = "sv"; edit_width = 8;
				}
			} /* row */
			: row
			{
				fixed_width = true;
				: text
				{
					label = "Tg. Length"; key = "t_ltg";
					width = 18;
				}
				: edit_box
				{
					key = "ltg"; edit_width = 8;
				}
			} /* row */
			: row
			{
				fixed_width = true;
				: text
				{
					label = "Deviation"; key = "t_m";
					width = 18;
				}
				: edit_box

				{
					key = "m"; edit_width = 8;
				}
			} /* row */
		} /* column */
		: column
		{
			: row
			{
				: button
				{
					label = " ++ "; key = "incr";
				}
				: button
				{
					label = " -- "; key = "decr";
				}
			}
			: row
			{
				: button
				{
					label = " +  "; key = "incr2";
				}
				: button
				{
					label = " -  "; key = "decr2";
				}
			}
			: button
			{
				label = "Set"; key = "incrdecr";
			}
		} /* column */
	} /* row */
	 errtile;
	: row
	{
		: row
		{
			fixed_width = true; alignment = centered;
			: text
			{
				key = "i1"; width = 20;
			}
		} /* row */
		: row
		{
			fixed_width = true; alignment = centered;
			: text
			{
				key = "i2"; width = 20;
			}
		} /* row */
	} /* row */
	: row
	{
		: row
		{
			fixed_width = true;
			: text
			{
				width = 5; key = "t1";
			}
			: text
			{
				width = 20; key = "1";
			}
		} /* row */
		: row
		{
			fixed_width = true;
			: text
			{
				width = 5; key = "t7";
			}
			: text
			{
				width = 20; key = "7";
			}
		} /* row */
	} /* row */
	: row
	{
		: row
		{
			fixed_width = true;
			: text
			{
				label = "I.R."; width = 5; key = "t2";
			}
			: text
			{
				width = 20; key = "2";
			}
		} /* row */
		: row
		{
			fixed_width = true;
			: text
			{
				label = "F.R."; width = 5; key = "t8";
			}
			: text
			{
				width = 20; key = "8";
			}
		} /* row */
	} /* row */
	: row
	{
		: row
		{
			fixed_width = true;
			: text
			{
				label = "Xi"; width = 5; key = "t3";
			}
			: text
			{
				width = 20; key = "3";
			}
		} /* row */
		: row
		{
			fixed_width = true;
			: text
			{
				label = "Yi"; width = 5; key = "t9";
			}

			: text
			{
				width = 20; key = "9";
			}
		} /* row */
	} /* row */
	: row
	{
		: row
		{
			fixed_width = true;
			: text
			{
				label = "Xf"; width = 5; key = "t4";
			}
			: text
			{
				width = 20; key = "4";
			}
		} /* row */
		: row
		{
			fixed_width = true;
			: text

			{
				label = "Yf"; width = 5; key = "t10";
			}
			: text
			{
				width = 20; key = "10";
			}
		} /* row */
	} /* row */
	: row
	{
		: row
		{
			fixed_width = true;
			: text
			{
			label = "I.Ang."; width = 5; key = "t5";
			}
			: text
			{
			width = 20; key = "5";

			}
		} /* row */
		: row
		{
			fixed_width = true;
			: text
			{
			 label = "F.Ang."; width = 5; key = "t11";
			}
			: text

			{
			 width = 20; key = "11";
			}
		} /* row */
	} /* row */

	: row
	{
		: row
		{
			fixed_width = true;
			: text
			{
			 label = "L.t."; width = 5; key = "t6";
			}
			: text

			{
			 width = 20; key = "6";
			}
		} /* row */

		: row
		{
			fixed_width = true;
			: text
			{
				label = "Tc"; width = 5; key = "t12";
			}
			: text

			{
				width = 20; key = "12";
			}
		} /* row */
	} /* row */
} /* boxed_column */
/* --------------------- spostamenti -------------------------------------*/
spostamenti : column
              {
                  : row
                    {
                     : text
                       {
                        label = "Point"; width = 12;
                       }
                     : text
                       {
                        label = "Chai."; width = 12;
                       }
                     : text
                       {
                        label = "Xr"; width = 12;
                       }
                     : text
                       {
                        label = "Yr"; width = 12;
                       }
                     : text
                       {
                        label = "Xc"; width = 12;
                       }
                     : text
                       {
                        label = "Yc"; width = 12;
                       }
                     : text
                       {
                        label = "Dist mm.";
                       }
                    } /* row */
                  : list_box
                    {
                     key = "lista_elem"; tabs = "12 25 38 51 64 77";
                    }
                  : row
                    {
                     : button
                       {
                        label = "Sel. Points <"; key = "punti";
                       }
                     : button
                       {
                        label = "Sel. Polyline <"; key = "poli";
                       }
                     : button
                       {
                        label = "Curvature..."; key = "curv";
                       }
                     : button
                       {
                        label = "Print..."; key = "stampa";
                       }
                    } /* row */
                  errtile;
                } /* column */

/* --------------------- spostamenti2 -------------------------------------*/
spostamenti2 : column
	   
              {
                  : row
                    {
                     : text
                       {
                        label = "Point"; width = 12;
                       }
                     : text
                       {
                        label = "Chai."; width = 12;
                       }
                     : text
                       {
                        label = "Xr"; width = 12;
                       }
                     : text
                       {
                        label = "Yr"; width = 12;
                       }
                     : text
                       {
                        label = "Zr"; width = 12;
                       }

                     : text
                       {
                        label = "Xc"; width = 12;
                       }
                     : text
                       {
                        label = "Yc"; width = 12;
                       }
                     : text
                       {
                        label = "Dist+"; width = 10;
                       }
                     : text
                       {
                        label = "Dist-"; width = 10;
                       }
                     : text
                       {
                        label = "Diff Z+"; width = 10;
                       }
                     : text
                       {
                        label = "Diff Z-"; width = 10;
                       }

                    } /* row */
                  : list_box
                    {
                     /*key = "lista_elem"; tabs = "12 25 38 51 64 77 90";*/
		     key = "lista_elem"; tabs = "12 25 40 55 70 85 100 115 130 145 ";
                    }
                  : row
                    {
                     : button
                       {
                        label = "Sel. Points <"; key = "punti";
                       }
                     : button
                       {
                        label = "Sel. Poly. <"; key = "poli";
                       }
                     : button
                       {
                        label = "Survey <"; key = "rilievo";
                       }
                     : button
                       {
                        label = "Obstacles<"; key = "ostacoli";
                       }
                     : button
                       {
                        label = "Print..."; key = "stampa_corrtr";
                       }
		: column
		{
              : row
		  {
		        : text
                       {

                         label = "Max.Dis.=";
                       }
                     : text
                       {
                          key = "Scmaxd"; width = 10;
                       }
                     : text
                       {

                         label = "Msd.=";
                       }
                     : text
                       {
                          key = "Scsqmd"; width = 10;
                       }
		  }
		  : row
			{
                     : text
                       {
                         label = "DZmax.= ";
                       }
                     : text
                       {
                          key = "Scmaxv"; width = 10;
                       }
                     : text
                       {

                         label = "Msd.DZ=";
                       }
                     : text
                       {
                          key = "Scsqmv"; width = 10;
                       }
			}

			}/*column*/

                    } /* row */
                } /* column */

/* ------------------------andtr ------------------------------------------*/
andtr        : column
               {
                : image_button
                  {
                   key = "dis_curve"; width = 140;
                   height = 15;
                   color = graphics_background; 
                  }
                : row
                  {
                   : button
                     {
                      label = "+"; key = "piu";
                     }
                   : button
                     {
                      label = "-"; key = "meno";
                     }
                   : button
                     {
                      label = "All"; key = "tutto";
                     }
                   : button
                     {
                      label = "<-"; key = "sn";
                     }
                   : button
                     {
                      label = "->"; key = "dx";
                     }
                   : button
                     {
                      label = "Zoom/Pan Settings..."; key = "zp";
                     }
                  } /* row */
               } /* column */

/* ------------------------andtr7 ------------------------------------------*/
andtr7  : row
{
	fixed_height = true;
	: image_button
	{
		key = "dis_curve"; width = 120;
		height = 13;
		color = graphics_background; 
	}
	: column
	{
		fixed_width = true;

		: button
		{
			label = "+"; key = "piu"; width = 8;
		}
		: button
		{
			label = "-"; key = "meno"; width = 8;
		}
		: button
		{
			label = "All"; key = "tutto"; width = 8;
		}
		: button
		{
			label = "<-"; key = "sn"; width = 8;
		}
		: button
		{
			label = "->"; key = "dx"; width = 8;
		}
		: button
		{
			label = "Set"; key = "zp"; width = 8;
		}
	} /* column */
}			   
/* --------------------- ElemPolicDlg7 ------------------------------------*/
ElemPolicDlg7 : dialog
{
	label = "Polycentric Elements ";
                
	: row
	{
		DatigeneraliPolicentrica_V8;
		ElementiBaseFerrovia_V8;
		DatiElementoBase_V8;

	} /* row */
 	andtr7;
	spostamenti2;
	: row
	{
		fixed_width = true; alignment = centered;
		ok_cancel;
	} /* row */
} /* end dialog */

/* --------------------- ElemPolicRidDlg ------------------------------------*/
ElemPolicRidDlg : dialog
{
	label = "Polycentric Elements ";
	: row
	{
		DatigeneraliPolicentrica_V8;
		ElementiBaseFerrovia_V8;
		DatiElementoBase_V8;

	} /* row */
	andtr7;
	: row
	{
		fixed_width = true; alignment = centered;
		ok_cancel;
	} /* row */
} /* end dialog */


/* --------------------- SpostamentiDlg -----------------------------------*/
SpostamentiDlg : dialog
{ 
	label = "Displacements Analysis";
	: text
	{
		label = "Axis"; key = "info_asse"; width = 8;
	}
	spostamenti;
	ok_only;
} /* end dialog */
/* --------------------- CorrTrDlg ----------------------------------------*/
CorrTrDlg : dialog
            { 
             label = "Alignment correction";
 				: text
				{
					label = "Axis"; key = "info_asse"; width = 8;
				}
             andtrest;
	     spostamenti2;
            : row
               {
                fixed_width = true;
 		    : button
                  {
                        label = "Plasser Export..."; key = "plasser";
                  }
 		    : button
                  {
                        label = "Matisa Export..."; key = "matisa";
                  }
                : row
                  {
                   fixed_width = true;
                   : text
                     {
                      key = "prog"; width = 20;
                     }
                  } /* row */
                : spacer{width = 2;}
                : text
                  {
                    key = "r"; width = 20;
                  }
                : spacer{width = 2;}
                : text
                  {
                   key = "parz"; width = 25;
                  }
               } /* row */
             errtile;
             ok_cancel_help;
            } /* end dialog */
/* ----------------- PanZoomDlg -------------------------------------------*/
PanZoomDlg : dialog
{
	label = "Settings";
	: row
	{
	 : text
	   {
		label = "Zoom factor"; width = 20;
	   }
	 : edit_box
	   {
		key = "zoom"; edit_width = 8;
	   }
	 : text
	   {
		label = "%"; width = 2;
	   }
	} /* row */
	: row
	{
	 : text
	   {
		label = "Pan Distance"; width = 20;
	   }
	 : edit_box
	   {
		key = "pan"; edit_width = 8;
	   }
	 : text
	   {
		label = "m"; width = 2;
	   }
	} /* row */
	errtile;
	ok_cancel;
} /* end dialog */
/* ------------------ StampaProgDlg ---------------------------------------*/
StampaProgDlg : dialog
                {
                 label = "Print options";
                 : radio_column
                   {
                    key = "tipo_st"; width = 50;
                    : radio_button
                      {
                       label = "Whole Alignment"; key = "all";
                      }
                    : radio_button
                      {
                       key = "selezione";
                      }
                   }   /* radio_column */
                  : row
                    {
                     fixed_width = true; alignment = right;
                     : row
                       {
                        fixed_width = true;
                        : text
                          {
                           label = "from ch."; key = "t_daprog";
                          }
                        : edit_box
                          {
                           key = "daprog"; edit_width = 8;
                          }
                       } /* row */
                     : spacer {width = 1;}
                     : row
                       {
                        fixed_width = true;
                        : text
                          {
                           label = "to ch."; key = "t_aprog";
                          }
                        : edit_box
                          {
                           key = "aprog"; edit_width = 8;
                          }
                       } /* row */
                     } /* row */
                  errtile;
                  ok_cancel;
                } /* end dialog */
/* -----------------------AnCurDlg ----------------------------------------*/
AnCurDlg : dialog
           {
            label = "Curvature";
            andtr;
            : column
              {
               : row
                 {
                  : text
                    {
                     label = "Name";
                    }
                  : text
                    {
                     label = "Chai.";
                    }
                  : text
                    {
                     label = "X";
                    }
                  : text
                    {
                     label = "Y";
                    }
                  : text
                    {
                     label = "Z";
                    }

                  : text
                    {
                     label = "Radius";
                    }
                  : text
                    {
                     label = "Vert. Radius";
                    }

                  } /* row */
               : list_box
                 {
                  key = "lista_elem"; tabs = "20 35 55 75 95 115";
                 }
              } /* column */
             : row
               {
                fixed_width = true; 
                : button
                  {
                   label = "Sel. Points <"; key = "punti";
                  }
               } /* row */
             : row
               {
                fixed_width = true;
                : row
                  {
                   fixed_width = true;
                   : text
                     {
                      key = "prog"; width = 20;
                     }
                  } /* row */
                : spacer{width = 2;}
                : text
                  {
                    key = "r"; width = 20;
                  }
                : spacer{width = 2;}
                : text
                  {
                   key = "parz"; width = 25;
                  }
               } /* row */
             errtile;
            ok_cancel_help;
           } /* end dialog */
   /* ----------------- ImpIncrDlg -------------------------------------------*/
ImpIncrDlg : dialog
             {
              label = "Settings";
              : row
                {
                 : text
                   {
                    label = "Increase/Decrease ++ --"; width = 31;
                   }
                 : edit_box
                   {
                    key = "incr"; edit_width =12;
                   }
                 : text
                   {
                    label = " m"; width = 2;
                   }
               } /* row */
              : row
                {
                 : text
                   {
                    label = "Increase/Decrease + -"; width = 31;
                   }
                 : text
                   {
                    key = "incr2"; edit_width =12;
                   }
                 : text
                   {
                    label = " m"; width = 2;
                   }
               } /* row */
              errtile;
              ok_cancel;
             } /* end dialog */   

/* ------------------------andtrest ------------------------------------------*/
andtrest       : column
               {
                : image_button
                  {
                   key = "dis_curve"; width = 155;
                   height = 25;
                   color = graphics_background; 
                  }
                : row
                  {
                   : button
                     {
                      label = "+"; key = "piu";
                     }
                   : button
                     {
                      label = "-"; key = "meno";
                     }
                   : button
                     {
                      label = "All"; key = "tutto";
                     }
                   : button
                     {
                      label = "<-"; key = "sn";
                     }
                   : button
                     {
                      label = "->"; key = "dx";
                     }
                   : button
                     {
                      label = "Zoom/Pan Settings..."; key = "zp";
                     }
                  } /* row */
               } /* column */
/* ------------------------- AnaScostamentiDlg -----------------------------------*/

AnaScostamentiDlg : dialog
{
		label = "Double track obstacles analysis";
		: text
		{
			label = "Axis"; key = "info_asse"; width = 8;
		}
		: column
	   
              {
                  : row
                    {
                     : text
                       {
                        label = "Point"; width = 11;
                       }  
                   : text
                       {
                        label = "Code  "; width = 12;
                       }

                     : text
                       {
                        label = "Chai."; width = 12;
                       }
                     : text
                       {
                        label = "Surveyed distance "; width = 9;
                       }
                     : text
                       {
                        label = "Surveyed track Gap"; width = 9;
                       }
                     : text
                       {
                        label = "Displacements"; width = 9;
                       }
                     : text
                       {
                        label = "Design Distance"; width = 9;
                       }
                     : text
                       {
                        label = "Design track Gap"; width = 9;
                       }
                     : text
                       {
                        label = "Description"; width = 12;
                       }
                     : text
                       {
                        label = "Alignment"; width = 12;
                       }


                    } /* row */
                  : list_box
                    {
                     /*key = "lista_elem"; tabs = "12 25 38 51 64 77 90";*/
		     		key = "lista_elem"; tabs = "17 32 48 61 76 91 106 121 136 "; height = 25;

                    }
                  : row
                    {
                     : button
                       {
                        label = "Sel. Points <"; key = "selpunti";
                       }
                     : button
                       {
                        label = "Sel. Pol. <"; key = "poli";
                       }
                     : button
                       {
                        label = "Obstacles<"; key = "ostacoli";
                       }
                     : button
                       {
                        label = "Print..."; key = "stampa";
                       }
				: column
				{
              			: row
		  			{
		        			: text
                       			{
                         			label = "Min Dist.=";
                       			}
                     			: text
                       			{
                          			key = "Max Displ."; width = 10;
                       			}
                     			: text
                       			{
                         			label = "Min Tracks gap";
                       			}
		  			}

				}/*column*/

                    } /* row */
                } /* column */
                   : spacer {width = 2;}
                   ok_cancel_help;

}
/* ------------------------- Corrtr2bDlg -----------------------------------*/

Corrtr2bDlg : dialog
{
		label = "Double track correction analysis";
		: text
		{
			label = "Axis"; key = "info_asse"; width = 8;
		}
		: column
	   
              {
                  : row
                    {
                     : text
                       {
                        label = "Point"; width = 12;
                       }
                     : text
                       {
                        label = "Code  "; width = 10;
                       } 
                    : text
                       {
                        label = "Chai."; width = 12;
                       }

                     : text
                       {
                        label = "Hor. Disp."; width = 8;
                       }
                     : text
                       {
                        label = "Raising"; width = 8;
                       }

                     : text
                       {
                        label = "Surv. track Gap"; width = 10;
                       }
                     : text
                       {
                        label = "Temporary track Gap"; width = 10;
                       }
                     : text
                       {
                        label = "Des. Gap"; width = 10;
                       }
                     : text
                       {
                        label = "Description"; width = 22;
                       }
                     : text
                       {
                        label = "Alignment"; width = 15;
                       }
                     : text
                       {
                        label = "Profile"; width = 15;
                       }

                    } /* row */
                  : list_box
                    {
                     /*key = "lista_elem"; tabs = "12 25 38 51 64 77 90";*/
		     		key = "lista_elem"; tabs = "12 22 38 48 58 70 82 94 125 146 "; height = 25;

                    }
                  : row
                    {
                     : button
                       {
                        label = "Sel. Points <"; key = "selpunti";
                       }
                     : button
                       {
                        label = "Sel. Pol. <"; key = "poli";
                       }
                     : button
                       {
                        label = "Print..."; key = "stampa";
                       }
				: column
				{
              			: row
		  			{
		        			: text
                       			{
                         			label = "Min Dist.=";
                       			}
                     			: text
                       			{
                          			key = "Max Displ."; width = 10;
                       			}
                     			: text
                       			{
                         			label = "Min Tracks gap";
                       			}
		  			}

				}/*column*/

                    } /* row */
                } /* column */
                   : spacer {width = 2;}
                   ok_cancel_help;

}
/* ------------------------- PentaDlg -----------------------------------*/

PentaDlg : dialog
{
	label = "Pentameter Table";
	: text
	{
		label = "Axis"; key = "info_asse"; width = 8;
	}
	: column
	{
		: row
		{
			: text
			{
				label = "Point"; width = 10;
			}
			: text
			{
				label = "Code  "; width = 10;
			} 
			: text
			{
				label = "Chai."; width = 10;
			}
			: text
			{
				label = "Dist."; width = 8;
			}
			: text
			{
				label = "Rail D."; width = 5;
			}
			: text
			{
				label = "Elev.Diff."; width = 5;
			}
			: text
			{
				label = "  H    Side"; width = 13;
			}
			: text
			{
				label = "Description"; width = 25;
			}
			: text
			{
				label = "Alignment"; width = 12;
			}
			: text
			{
				label = "Profile"; width = 12;
			}
			: text
			{
				label = "I. Sur."; width = 7;
			}
			: text
			{
				label = "I.prov"; width = 7;
			}
			: text
			{
				label = "I. def"; width = 7;
			}

		} /* row */
		: list_box
		{
			/*key = "lista_elem"; tabs = "12 25 38 51 64 77 90";*/
			/*key = "lista_elem"; tabs = "12 20 36 50 64 78 86 92 115 130"; height = 25;*/
			key = "lista_elem"; tabs = "12 20 36 44 52 60 65 70 101 118 138 145 152"; height = 25;

		}
		: row
		{
			: button
			{
				label = "Sel. Fixed and Supplementary Points <"; key = "selpunti";
			}
			: button
			{
				label = "Sel. Pol. <"; key = "poli";
			}
			: button
			{
				label = "Print..."; key = "stampa";
			}
			: edit_box
			{
				label = "Step"; key = "passo";
			}
		} /* row */
				: row
		{
			: button
			{
				label = "Select left rail (3dpoly) <"; key = "selleft_rail";
			}
			: button
			{
				label = "Select right rail (3dpoly) <"; key = "selright_rail";
			}
		}
	} /* column */
	: spacer {width = 2;}
	ok_cancel_help;
}
/* --------------------- ElemPolicSRidDlg ------------------------------------*/
ElemPolicSRidDlg : dialog
{
  	label = "Road Polycentric Elements";
	
	: row
    {
		DatigeneraliPolicentrica_V8;
		ElementiBaseStrada_V8;
		DatiElementoBase_V8;
	} /* row */
	andtr7;
	: row
	{
		fixed_width = true; alignment = centered;
       ok_cancel;
    } /* row */
} /* end dialog */
/* --------------------- ElemPolicSDlg ------------------------------------*/
ElemPolicSDlg : dialog
{
    label = "Road Polycentric Elements";
	: row
	{
		DatigeneraliPolicentrica_V8;
		ElementiBaseStrada_V8;
		DatiElementoBase_V8;
	} /* row */
	andtr7;
	spostamenti2;
	: row
	{
		fixed_width = true; alignment = centered;
		ok_cancel;
	} /* row */
} /* end dialog */
/* ------------------------- SNDlg -----------------------------------*/
sinoDlg : dialog
{
	label = "Join Axis (side by side)";
	: spacer {height = 1;}
	: text 
	{
		label = "Does the join axis exist ?";
	} 
	: spacer {height = 1;}
	: row
	{
       		: retirement_button 
		{
        		label           = "  Yes  ";
        		key             = "accept";
        		is_default      = true;
		}

		: retirement_button 
		{
        		label           = " No ";
        		key             = "cancel";
        		is_cancel       = true;
		}
	}
} /* end dialog */

/* ------------------------- SNDlg -----------------------------------*/
SceltaProgressiva : dialog
{
	label = "Chainage range";
	: spacer {height = 1;}
	: row 
	{
		: text 
		{
			label = "Axis:";
		} 
		: text 
		{
			key = "tracciato";
		} 
	}
	: spacer {height = 1;}
	: row
	{
		: column
		{
			: text
			{
				label = "From chainage m.";
			}
			: text
			{
				label = "To chainage m.";
			}
		}
		: column
		{
			: edit_box
			{
				key = "daprog"; width = 20;
			}
			: edit_box
			{
				key = "aprog"; width = 20;
			}
		}
	}
    ok_cancel;
} /* end dialog */

/* ------------------------- PalasDlg -----------------------------------*/

PalasDlg : dialog
{
		label = "Matisa Palas Export";
		: text
		{
			label = "Axis"; key = "info_asse"; width = 8;
		}
		: boxed_row
		{
			label = "General Data";
			: column
			{
				: text
				{
					label = "Company";
				}
				: text
				{
					label = "Line";
				}
				: text
				{
					label = "Route";
				}
				: text
				{
					label = "Build Date (dd.mm.yyyy)";
				}
				: text
				{
					label = "Last Change Date (dd.mm.yyyy)";
				}
				: text
				{
					label = "Initial Chainage (m)";
				}
				: text
				{
					label = "Final Chainage (m)";
				}
				: text
				{
					label = "First Fixed Point Elevation from sea-level (m)";
				}
				: text
				{
					label = "Gauge (mm)";
				}
				: text
				{
					label = "Designer";
				}
	
			}
			: column
			{
				: edit_box
				{
					key = "societa"; edit_limit = 40;
				}
				: edit_box
				{
					key = "linea"; edit_limit = 40;
				}
				: edit_box
				{
					key = "tratta"; edit_limit = 40;
				}
				: edit_box
				{
					key = "data_costruzione"; edit_limit = 10;
				}
				: edit_box
				{
					key = "data_modifica"; edit_limit = 10;
				}
				: edit_box
				{
					key = "progi";
				}
				: edit_box
				{
					key = "progf";
				}
				: edit_box
				{
					key = "quota_p_pf";
				}
				: edit_box
				{
					key = "scartamento";
				}
				: edit_box
				{
					key = "progettista"; edit_limit = 40;
				}
			}
			: column
			{
				: text
				{
					label = "   ";
				} 
			
			}
			: column
			{
				: row
				{
					: column
					{
						: text
						{
							label = "Software";
						}
						: text
						{
							label = "File Version xx.yy";
						}
						: text
						{
							label = "Notes";
						}
						: text
						{
							label = "Sistema di proiezione Cartografica";
						}
						: text
						{
							label = "Rif Geometria Verticale";
						}
						: text
						{
							label = "Fixed Point Type";
						}

					}
					: column
					{
						: edit_box
						{
							key = "software";edit_limit = 40;
						}
						: edit_box
						{
							key = "versione"; edit_limit = 5;
						}
						: edit_box
						{
							key = "note"; edit_limit = 80;
						}
						: edit_box
						{
							key = "proiezione";edit_limit = 2;
						}
						: popup_list
           				{
           					key = "riferimento_verticale"; list = "Asse Binario\nRotaia Bassa"; value = "1";	
           				}
						: popup_list
           				{
           					key = "tipo_pf"; list = "0\n1\n2\n3\n4\n5\n6\n7\n8\n9\n10\n"; value = "0";	
           				}
			
					}
				}
				: row
				{
					: column
					{
						: text
						{
							label = "First point X coord. (m)";
						}
						: text
						{
							label = "First point Y coord. (m)";
						}
						: text
						{
							label = "Last point X coord. (m)";
						}
						: text
						{
							label = "Last point Y coord. (m)";
						}
					}
					: column
					{
						: text
						{
							key = "xi";
						}
						: text
						{
							key = "yi";
						}
						: text
						{
							key = "xf";
						}
						: text
						{
							key = "yf";
						}
				
					}
				}
			}
		}
	: text
	{
		key = "info";
	}
	: row
	{
		: column
		{
			: list_box
			{
				key = "lista_elem"; tabs = "15 30 40 50 60 70 82 92 102 "; height = 15;width = 75;
			}
			: button
			{
				label = "Select Fixed Points <"; key = "selpunti";
			}

		}
		: column
		{	
			: list_box
			{
				key = "lista_file"; tabs = "15 19 25 38 51 63 75 87 99 102 114 146 "; height = 15;width = 90;
			}
			: button
			{
				label = "Export..."; key = "esporta";
			}
		} /* row */
	} /* column */
	: spacer {width = 2;}
	ok_cancel_help;
}






   